Bug 122801 - databases/virtuoso, databases/firebird20-client, databases/firebird-client and databases/unixODBC install files in the same place
Summary: databases/virtuoso, databases/firebird20-client, databases/firebird-client an...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-15 20:20 UTC by Anatoly Borodin
Modified: 2010-02-16 18:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoly Borodin 2008-04-15 20:20:10 UTC
# grep -rI '^bin\/isql$' --include 'pkg-plist*' /usr/ports
/usr/ports/databases/virtuoso/pkg-plist:bin/isql
/usr/ports/databases/firebird2-server/pkg-plist.client:bin/isql
/usr/ports/databases/unixODBC/pkg-plist:bin/isql
/usr/ports/databases/firebird-server/pkg-plist.client:bin/isql

The inspection of Makefiles shows that this conflict is not recorded.

Fix: 

Add CONFLICTS or rename the binaries.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-15 20:20:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Max Khon freebsd_committer 2008-11-11 18:37:46 UTC
Responsible Changed
From-To: fjoe->skv

I suggest to rename binaries to: 
- virtuoso-isql 
- firebird-isql 
- firebird2-isql 

What do you think?
Comment 3 skv freebsd_committer 2009-11-02 15:59:43 UTC
Responsible Changed
From-To: skv->freebsd-ports-bugs

I don't maintain databases/firebird* anymore.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-12-17 08:08:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer of databases/virtuoso.
Comment 5 dfilter service freebsd_committer 2010-02-08 15:43:38 UTC
fjoe        2010-02-08 15:43:25 UTC

  FreeBSD ports repository

  Modified files:
    databases/unixODBC   Makefile 
  Log:
  Add CONFLICTS with virtuoso-* ports.
  
  PR:             122801
  
  Revision  Changes    Path
  1.59      +1 -1      ports/databases/unixODBC/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2010-02-08 18:24:32 UTC
fjoe        2010-02-08 18:24:16 UTC

  FreeBSD ports repository

  Modified files:
    databases/virtuoso   Makefile distinfo pkg-plist 
    databases/virtuoso/files patch-configure 
  Removed files:
    databases/virtuoso   pkg-install 
    databases/virtuoso/files patch-libsrc-Thread-thread_int.h 
                             patch-libsrc-Wi-Makefile.in 
  Log:
  - Update to 6.1.0
  - Add amd64 to the list of supported arches
  - Add missing depend on htmldoc
  - Add conflict with unixODBC [1]
  
  PR:             122801 [1]
  
  Revision  Changes    Path
  1.16      +14 -19    ports/databases/virtuoso/Makefile
  1.4       +3 -3      ports/databases/virtuoso/distinfo
  1.5       +14 -26    ports/databases/virtuoso/files/patch-configure
  1.2       +0 -6      ports/databases/virtuoso/files/patch-libsrc-Thread-thread_int.h (dead)
  1.2       +0 -51     ports/databases/virtuoso/files/patch-libsrc-Wi-Makefile.in (dead)
  1.2       +0 -71     ports/databases/virtuoso/pkg-install (dead)
  1.3       +729 -42   ports/databases/virtuoso/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2010-02-16 18:07:17 UTC
fjoe        2010-02-16 18:07:03 UTC

  FreeBSD ports repository

  Modified files:
    databases/firebird20-client Makefile 
  Log:
  This port conflicts with unixODBC and virtuoso ports (${PREFIX}/bin/isql).
  Probably better solution would be to install isql as fb_isql.
  
  Feature safe:   yes
  PR:             122801
  
  Revision  Changes    Path
  1.7       +1 -0      ports/databases/firebird20-client/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2010-02-16 18:09:56 UTC
fjoe        2010-02-16 18:09:49 UTC

  FreeBSD ports repository

  Modified files:
    databases/unixODBC   Makefile 
  Log:
  This port conflicts with firebird-client (${PREFIX}/bin/isql).
  
  Probably better solution would be to not install ${PREFIX/bin/isql
  for this port at all (it is not that usable anyway).
  
  PR:             122801
  Feature safe:   yes
  
  Revision  Changes    Path
  1.61      +1 -1      ports/databases/unixODBC/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2010-02-16 18:11:32 UTC
fjoe        2010-02-16 18:11:19 UTC

  FreeBSD ports repository

  Modified files:
    databases/virtuoso   Makefile 
  Log:
  Record conflicts with firebird-client port (${PREFIX}/bin/isql).
  
  PR:             122801
  Feature safe:   yes
  
  Revision  Changes    Path
  1.19      +1 -1      ports/databases/virtuoso/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Max Khon freebsd_committer 2010-02-16 18:11:38 UTC
State Changed
From-To: open->closed

Mutual conflicts added. 

Number of conflicts can be reduced by not installing isql from unixODBC port 
(it is not that useful anyway).